Update action.yml

This commit is contained in:
2025-08-26 04:44:19 +02:00
parent 32a2fdd88f
commit ecfe7dd06c
+2 -2
View File
@@ -218,7 +218,7 @@ runs:
LOG_FILE="${OUTPUT_DIR}/custom-shell-before.log"
mkdir -p "$OUTPUT_DIR"
if [ -z "$(echo "${{ inputs.custom_shell_commands }}" | xargs)" ]; then
if [ -z "$(echo "${{ inputs.custom_shell_commands_before }}" | xargs)" ]; then
echo "💡 No custom shell commands found" >> "$LOG_FILE"
echo "Exit Code: 0" >> "$LOG_FILE"
exit 0
@@ -231,7 +231,7 @@ runs:
echo "set -e"
echo 'trap "{ EXIT_CODE=\$?; if [ \$EXIT_CODE -eq 0 ]; then echo Exit Code: 0 >> \"$LOG_FILE\"; else echo Exit Code: 1 >> \"$LOG_FILE\"; fi; } 2>/dev/null" EXIT'
echo "set -x"
echo "${{ inputs.custom_shell_commands }}"
echo "${{ inputs.custom_shell_commands_before }}"
} > custom_commands.sh
chmod +x custom_commands.sh